StarCellAttribute Namespace Reference

namespace used to contain cell attributes (and some cell attributes which are similar) More...

## Classes

class | StarCAttributeBool
| a character bool attribute More...
class | StarCAttributeColor
| a character color attribute More...
class | StarCAttributeInt
| a character integer attribute More...
class | StarCAttributeUInt
| a character unsigned integer attribute More...
class | StarCAttributeVoid
| a void attribute More...
class | StarCAttributeMargins
| a margins attribute More...
class | StarCAttributeMerge
| a merge attribute More...
class | StarCAttributePattern
| Pattern attribute of StarAttributeInternal. More...
class | StarCAttributeProtection
| a protection attribute More...

## Functions

void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds cell attribute to the general it to attribute map

## Detailed Description

namespace used to contain cell attributes (and some cell attributes which are similar)

## Function Documentation

## addAttributeBool()

void StarCellAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue )

inline

add a bool attribute

Referenced by addInitTo().

## addAttributeColor()

void StarCellAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue )

inline

add a color attribute

## addAttributeInt()

void StarCellAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue )

inline

add a int attribute

Referenced by addInitTo().

## addAttributeUInt()

void StarCellAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue )

inline

add a unsigned int attribute

Referenced by addInitTo().

## addAttributeVoid()

void StarCellAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName )

inline

add a void attribute

Referenced by addInitTo().

## addInitTo()

void StarCellAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds cell attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().